Bug 54348 - Kernel BUG at inode.c 1039!
Kernel BUG at inode.c 1039!
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-04 12:43 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-04 17:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-04 12:43:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (Win98; U)

Description of problem:
Please fill in each of the sections below.

Hardware Environment:
NetVista PC (model type 6578-D5U) with Hitachi DVD-Ram Drive
Software Environment:
Linux RedHat 7.1
kernel level 2.4.3-12
kernel level 2.4.7-xx

Steps to Reproduce:
1.We were able to use our DVD-Drive in previous 2.4.2 kernel. When we upgrade
to 2.4.3-12 kernel from RedHat, we were unable to mount the DVD drive with the
actual DVD Ram media. Mounting a CDROM is OK. After talking to RedHat, we were
asked to try out kernel level 2.4.7-xx from the RedHat website. This is not yet
released by RedHat and is still a Gold/Beta version. Using this kernel, we were
successfully mounting the DVD-Driver to do I/O to the media. However when using
vi or rm on a file on the DVD-Media, we hit a kernel BUG at inode.c: 1039!
A person in our team in Endicott dowloaded kernel 2.4.9-ac7 from kernel.org and
was able to run ok, however due to legal requirements we must use a kernel from 
Redhat.
We have verified that this problem was fixed in 2.4.10. 
Requesting this fix be ported to version 7.1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.See above
2.
3.
	

Additional info:
Comment 1 Need Real Name 2001-10-04 17:23:33 EDT
From the originator:
Below is the status of kernels that work/fail when attempting to utilize the DVD-RAM capabilities of the HMC

Kernel version			Status
======================================================================
2.4.2-2				works, old RedHat 7.1 kernel
2.4.3-12				fails
2.4.7-2				fails, RedHat kernel for 7.2, release candidate 2
2.4.7-6				fails, new RedHat kernel from rawhide
2.4.9-ac7			works, from kernel.org
2.4.10				works, from kernel.org

Again, be careful distinguishing from a DVD-RAM failure and a UDF (filesystem) error.  I believe we have the latter.

Misc notes:
Using diff, we attempted to fix kernel 2.4.3-12 by replacing the udf.c(??) source module with the back level one that worked (2.4.2-2).  I do not 
remember the exact module name, but we can provide it if required (John).  We we not successful. Only 1 source code line was changed - from my 
partially erased white board:

if ( !(.... = get_HardBlockSize( ) ) ) was changed to if ( !(.... = get_HardSectorSize( ) )) or something like that.

Whatever library the get_HardBlock/SectorSize( ) calls reside in that the udf.c (??) module links with, apparently changed as well.
Comment 2 Need Real Name 2001-11-14 16:54:18 EST
Closing as we received the required support in the errata: RHSA-2001:142-15.  Thanks for all the work.

Note You need to log in before you can comment on or make changes to this bug.